#!/usr/bin/perl -wT
#
#     ESJ 問い合わせページの生成
#
#     2010 Takenaka, A.

use strict;
use warnings;

use CGI;
use Encode;
use HTML::Template;
# use CGI::Carp('fatalsToBrowser');

use lib qw(/var/www/vhosts/esj.ne.jp/httpdocs/pm);
use ESJ::Info;

my $lang = $ENV{'QUERY_STRING'};

my $charset = "UTF-8";

my $Data = new CGI; #   CGI オブジェクトを取得。global 変数。
$Data->charset($charset);
print $Data->header(-type=>"text/html");

my $tmpl_file = ($lang =~ /E-page/) ? 'ofc_inquiry_tmpl-e.html'
                                    : 'ofc_inquiry_tmpl-j.html';

open (my $handle, "<:utf8", $tmpl_file ) || die;
my $tmpl = HTML::Template->new( filehandle => $handle );

close $handle;

# my $n_meeting = &ESJ::Info::get_n_meeting();
# $tmpl->param(n_meeting => $n_meeting);

print $tmpl->output;
